export const isInfo = (values) => {
    let errors = {}
    if (!values.firstName) {
      errors.firstName = 'First name is required'
    }
    if (!values.lastName) {
      errors.lastName = 'Last name is required'
    }
    
    if (!values.email) {
      errors.email = 'Email address is required'
    } else if (!/^[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,4}$/i.test(values.email)) {
      errors.email = 'Email address is invalid'
    }
    return errors
  }
  
  export const isAddressInfo = (values) => {
    console.log(values.addressInfo.house, values.house)
    let errors = {}
    if (!values.addressInfo.country) {
      errors.country = 'Country is required'
    }
    if (!values.addressInfo.city) {
      errors.city = 'City is required'
    }
    if (!values.addressInfo.street) {
      errors.street = 'Street is required'
    } 
    if (!values.addressInfo.house) {
      errors.house = 'House is required'
    }
    return errors
  }

  export const isPassword = (values) => {
    let errors = {}
    if (!values.passwordInfo.password) {
      errors.password = 'Password is required'
    }
    if (!values.passwordInfo.confirm) {
      errors.confirm = 'Confirm password is required'
  }
  return errors
}

